Package org.apache.cxf.annotations

## Enum Provider.Scope

- java.lang.Object
- - java.lang.Enum<Provider.Scope>
  - - org.apache.cxf.annotations.Provider.Scope

- All Implemented Interfaces:
    `Serializable`, `Comparable<Provider.Scope>`
  Enclosing class:
    Provider

      public static enum Provider.Scope
      extends Enum<Provider.Scope>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `All` |
    `Client` |
    `Server` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Provider.Scope` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Provider.Scope[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Server

          public static final Provider.Scope Server

    - #### Client

          public static final Provider.Scope Client

    - #### All

          public static final Provider.Scope All

  - ### Method Detail

    - #### values

          public static Provider.Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Provider.Scope c : Provider.Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Provider.Scope valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null